%{?nodejs_find_provides_and_requires}

%global packagename cron
%global enable_tests 1

Name:		nodejs-cron
Version:	1.2.1
Release:	1%{?dist}
Summary:	Cron jobs for your node

License:	MIT
URL:		https://github.com/ncb000gt/node-cron
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

# Upstream license file requested at https://github.com/kelektiv/node-cron/issues/284
Source1:	LICENSE-MIT

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(moment-timezone)
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(chai)
BuildRequires:	npm(sinon)
%endif

%description
Cron jobs for your node


%prep
%autosetup -n package
cp -p %{SOURCE1} .

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec tests/*.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%license LICENSE-MIT
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Apr 13 2017 Jared Smith <jsmith@fedoraproject.org> - 1.2.1-1
- Initial packaging
